1. Authentication
Calven Developer Docs
  • Overview
  • Access Control
  • Basic Authentication
  • HMAC Authentication
  • SDKs
  • Calven Data Models
  • Changelog
  • Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events (Basic auth)
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time Off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse API (Basic Auth)
    • Users (Basic auth)
      GET
    • Groups (Basic auth)
      GET
    • Locations (Basic auth)
      GET
    • Desks (Basic auth)
      GET
    • Bookings & Attendance (Basic auth)
      GET
    • Presence (Basic auth)
      GET
    • User Actions Log (Basic auth)
      GET
    • Events (Basic auth)
      GET
  • Warehouse - HMAC Auth
    • Warehouse API (HMAC Auth)
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
    • Events
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships (Basic auth)
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes (Basic auth)
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events (Basic auth)
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings (Basic auth)
  • Schemas
    • Schemas
    • DWEventsResponseDto
  1. Authentication

Generate a token with an API key and client secret

POST
/v1/auth/token
Generate a token with an API key and client secret via an OAuth client credentials grant.

Request

Body Params application/jsonRequired

Example
{
    "client_id": "string",
    "client_secret": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/auth/token' \
--header 'Content-Type: application/json' \
--data '{
    "client_id": "string",
    "client_secret": "string"
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Example
{
    "access_token": "string",
    "expires_in": 3600,
    "token_type": "string"
}
🟠401Unauthorized
Modified at 2026-08-06 10:43:53
Previous
Generate a token with an API key and HMAC
Next
Presence Overview
Built with